Loading...
Searching...
No Matches
Opm::BlackOilPolymerModule< TypeTag, enablePolymerV > Class Template Reference

Contains the high level supplements required to extend the black oil model by polymer. More...

`#include <blackoilpolymermodules.hh>`

## Public Member Functions

Scalar | molarMass () const

## Static Public Member Functions

static void | setParams (BlackOilPolymerParams< Scalar > &&params)
| Set parameters.
static TabulatedTwoDFunction & | getPlymwinjTable (const int tableNumber)
| get the PLYMWINJ table
static TabulatedTwoDFunction & | getSkprwatTable (const int tableNumber)
| get the SKPRWAT table
static BlackOilPolymerParams< Scalar >::SkprpolyTable & | getSkprpolyTable (const int tableNumber)
| get the SKPRPOLY table
static void | registerParameters ()
| Register all run-time parameters for the black-oil polymer module.
static void | registerOutputModules (Model &model, Simulator &simulator)
| Register all polymer specific VTK and ECL output modules.
static bool | primaryVarApplies (unsigned pvIdx)
static std::string | primaryVarName (unsigned pvIdx)
static Scalar | primaryVarWeight (unsigned pvIdx)
static bool | eqApplies (unsigned eqIdx)
static std::string | eqName (unsigned eqIdx)
static Scalar | eqWeight (unsigned eqIdx)
template<class LhsEval>
static void | addStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants)
static void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
static Scalar | computeUpdateError (const PrimaryVariables &, const EqVector &)
| Return how much a Newton-Raphson update is considered an error.
template<class DofEntity>
static void | serializeEntity (const Model &model, std::ostream &outstream, const DofEntity &dof)
template<class DofEntity>
static void | deserializeEntity (Model &model, std::istream &instream, const DofEntity &dof)
static Scalar | plyrockDeadPoreVolume (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | plyrockResidualResistanceFactor (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | plyrockRockDensityFactor (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | plyrockAdsorbtionIndex (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | plyrockMaxAdsorbtion (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | plyadsAdsorbedPolymer (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | plyviscViscosityMultiplierTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | plyviscViscosityMultiplierTable (unsigned pvtnumRegionIdx)
static Scalar | plymaxMaxConcentration (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | plymixparToddLongstaff (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const BlackOilPolymerParams< Scalar >::PlyvmhCoefficients & | plyvmhCoefficients (const ElementContext &elemCtx, const unsigned scvIdx, const unsigned timeIdx)
static bool | hasPlyshlog ()
static bool | hasShrate ()
static Scalar | shrate (unsigned pvtnumRegionIdx)
template<class Evaluation>
static Evaluation | computeShearFactor (const Evaluation &polymerConcentration, unsigned pvtnumRegionIdx, const Evaluation &v0)
| Computes the shear factor.

## Detailed Description

template<class TypeTag, bool enablePolymerV = getPropValue<TypeTag, Properties::EnablePolymer>()>
class Opm::BlackOilPolymerModule< TypeTag, enablePolymerV >

Contains the high level supplements required to extend the black oil model by polymer.

## Member Function Documentation

## computeShearFactor()

template<class TypeTag, bool enablePolymerV = getPropValue<TypeTag, Properties::EnablePolymer>()>
template<class Evaluation>

Evaluation Opm::BlackOilPolymerModule< TypeTag, enablePolymerV >::computeShearFactor | ( | const Evaluation & | polymerConcentration,
|  | unsigned | pvtnumRegionIdx,
|  | const Evaluation & | v0 )

inline static

Computes the shear factor.

Input is polymer concentration and either the water velocity or the shrate if hasShrate_ is true. The pvtnumRegionIdx is needed to make sure the right table is used.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilpolymermodules.hh